FAQ

On 02/01/11 07:37, Fred Moyer wrote:
- how long do we want to support old perl versions?
100% in favor of dropping < 5.8.[89]
For example, modern perls do not support anything but the perlio model. Stdio
was officially dropped in 5.8.7 or so. If you need to change some of the
related code in modperl it becomes really hard to test it. Older perls do not
compile in a modern environment and newer perls perhaps can be built without
perlio but the test suite will fail for sure.
Absolutely +1

I'd like to see httpd mins upped substantially too.
Perhaps, a few more points to discuss. They are a bit of a TODO list what
could be improved in modperl:

- big: refactor threading code
I'd loved to see your thread branch merged in.
* make -Dusemultiplicity -Uuseithreads possible
I'm not really sure this is a big gain, for a tremendous amount of effort.
- small: drop the tied-IO code and refactor/simplify the perlio stuff.
Yes!

- implement a way to untie %ENV after fork() in a handler
Thats a rough one b/c of the way its coded. see also local %ENV bombing.


--
------------------------------------------------------------------------
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70 3F8C 75B8 8FFB DB9B 8C1C
Philip M. Gollucci (pgollucci@p6m7g8.com) c: 703.336.9354
VP Apache Infrastructure; Member, Apache Software Foundation
Committer, FreeBSD Foundation
Consultant, P6M7G8 Inc.
Sr. System Admin, Ridecharge Inc.

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.

Search Discussions

Discussion Posts

Previous

Follow ups

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 10 of 14 | next ›
Discussion Overview
groupdev @
categoriesmodperl, perl
postedJan 28, '11 at 8:18p
activeFeb 13, '11 at 9:40p
posts14
users5
websiteperl.apache.org

People

Translate

site design / logo © 2019 Grokbase